package com.cpp.web.domain.regulation;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 临时短期调控明细
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_temp_short_regulation_detail")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_temp_short_regulation_detail")
public class TempShortRegulationDetail extends BaseCppEntity {

    @ApiModelProperty(value = "调控表主键ID")
    private Long regulationId;

    /**
     * 预测时间
     */
    @ApiModelProperty(value = "预测值时间")
    private Date time;


    /**
     * 原始值
     */
    @ApiModelProperty(value = "原始值")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ysValue = new BigDecimal(-99);

    /**
     * 调控值
     */
    @ApiModelProperty(value = "调控值")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal tkValue = new BigDecimal(-99);
    /**
     * 调控的预测日期
     */
    @ApiModelProperty(value = "调控日期")
    private Date forecastDate;

    /**
     * 调控日
     */
    @ApiModelProperty(value = "调控日期")
    private Date tkDate;

    /**
     * 数值
     */
    @ApiModelProperty(value = "数值")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal sz = new BigDecimal(-99);

    /**
     * 系数
     */
    @ApiModelProperty(value = "系数")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal xs = new BigDecimal(-99);

    /** 创建者 */
    @TableField(value = "create_by" , fill = FieldFill.INSERT)
    private String createBy;

}
