package com.cpp.web.utils;

import lombok.extern.slf4j.Slf4j;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

/**
 * @author jy
 * @since 2024/11/06
 */
@Slf4j
public class DownloadFileUrlCodeUtil {
    public static String transUrlChinese(String str) {

        String resultURL = "";
        try {
            for (int i = 0; i < str.length(); i++) {
                char charAt = str.charAt(i);
                //只对汉字处理
                if (isChineseChar(charAt)) {
                    String encode = URLEncoder.encode(charAt + "", "UTF-8");
                    resultURL += encode;
                } else {
                    resultURL += charAt;
                }
            }
        } catch (UnsupportedEncodingException e) {
            log.warn("解码异常!");
        }
        return resultURL;
    }

    private static boolean isChineseChar(char c) {
        return String.valueOf(c).matches("[\u4e00-\u9fff\u3400-\u4dbf\u20000-\u2a6df\u2a700-\u2b73f\u2b740-\u2b81f\u2b820-\u2ceaf\uf900-\ufaff]");
    }

}
